---
title: "Requirements — QR for Laravel | Roundly"
description: "PHP 8.4+ with ext-mbstring and ext-bcmath, Laravel 12 or 13; ext-intl optional for payment-text normalisation."
url: https://roundly-consulting.com/open-source/docs/qr-for-laravel/requirements
language: en
---

[All packages](https://roundly-consulting.com/open-source.md)

[QR for Laravel](https://roundly-consulting.com/open-source/docs/qr-for-laravel.md)

# Requirements

- PHP 8.4+ with ext-mbstring and ext-bcmath (the latter via money-for-laravel)
- Laravel 12 or 13
- Optional: ext-intl — payment text is NFC-normalised before length checks when available

## Standards

ISO/IEC 18004:2015 (QR Code) · EPC069-12 v3.1 (SEPA credit transfer QR code) · by square specification 1.0.0 / 1.1.0 / 1.2.0 · LZMA format specification · ISO 13616 (IBAN) · ISO 9362 (BIC) · ISO 11649 (creditor reference) · ISO 7064 MOD 97-10 · RFC 2426 · RFC 3966 · RFC 5724 · RFC 5870 · RFC 6068.

## Show your open-source love

This package is free and MIT-licensed. If it saves you time, a one-off donation or a Patreon membership keeps it maintained, tested and documented.

[More ways to support, including crypto](https://roundly-consulting.com/support-us.md)

By donating, you agree to our [donation terms](https://roundly-consulting.com/donation-terms.md).

[Support our open source work (opens in a new tab)](https://donate.stripe.com/dRmeVe8FX5PF1Qd9pXcEw00) [Join us on Patreon (opens in a new tab)](https://www.patreon.com/cw/roundly)

## Want this built into your product?

We integrate our packages into custom Laravel and AI builds. Tell us what you're working on and we'll reply within 48 hours.

[Get a quote in 48 hours](https://roundly-consulting.com/contact.md) [Browse all packages](https://roundly-consulting.com/open-source/docs/qr-for-laravel.md)
